<?php
	$StrHWND_T=$_SESSION['SYS_HW']."_T";
	$STR_ANU="N";
	//-------------------------
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	//-------------------------
	$StrFec=V($_POST['TxtFec']);
	$StrAlm=V($_POST['CboAlm']);
	$StrNum=V($_POST['TxtNum']);
	$StrAlmD=V($_POST['CboAlmD']);
	//-------------------------
	if(strlen($StrCmd)==0){
		$StrCmd=V($_GET['TxtAc']);
		if($StrCmd=="X"){
			$StrCmd="C";			
		}
		$StrFec=date("d-m-y");
	}
	//
	$StrN_BAR=vbval(V($_POST['ChN_BAR']));
	$StrN_AUT=vbval(V($_POST['ChN_AUT']));
	//------------------------
	$StrPro_ID=vbval(V($_POST['Pro_TxtId']));
	$StrPro_PR=vbval(V($_POST['TxtPre']));
	$StrPro_CA=vbval(V($_POST['TxtCant']));	
	//------------------------
	$StrCod=V($_POST['TxtCod']);
	$StrDes=V($_POST['TxtDes']);
	$StrMARCA=V($_POST['TxtMarca']);
	$StrCant=V($_POST['TxtCant']);
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}
	//FUNCIONES DE DESZPLAZAMIENTO
	if(strlen($LStrPag)==0){
		$LStrPag="0";
	}
	if($StrCmd=="MSig"){		
		$LStrPag=($LStrPag+1);
	}
	if($StrCmd=="MAnt"){
		$LStrPag=($LStrPag-1);
	}
	if($StrCmd=="MPri"){
		$LStrPag=0;
	}
	if($StrCmd=="MUlt"){
		$LStrPag=(floor($LStrTR / $VP_RegXPag) );
	}
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrAlm=gs("ORI","vtransferencias","ID=$Id");
		$StrAlmD=gs("DES","vtransferencias","ID=$Id");
		$StrFec=gs("DATE_FORMAT(FEC,'%d-%m-%y')","vtransferencias","ID=$Id");
		$StrNum=gs("NUM","vtransferencias","ID=$Id");
		$STR_ANU=gs("ANU","vtransferencias","ID=$Id");
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_T'");
		$s="SELECT * FROM transferencias_det WHERE id_trans=$Id";
		$cx=0;
		$result = grs($s);			
		while ($row = $result->fetch_row()){
			$cx++;
			$AR_ID=$row[2];
			$AR_CA=$row[3];
			$AR_PR=0;
			$AR_IM=0;
			$s="INSERT INTO temp_compras VALUES ('$StrHWND_T',$AR_ID,$AR_CA,
			$AR_PR,$AR_IM,$cx,'','',0)";
			ejt($s);			
		}
	}
	//
	if($StrCmd=="C"){
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_T'");
		$StrAlm="";
		$StrAlmD="";
		$StrFec=date("d-m-y");
		$StrNum="";	
		$StrCod="";
		$StrDes="";	
		$StrMARCA="";
		$StrCant="";
		$StrId="";
	}
	//
	if($StrCmd=="KILLER"){
		ejt("DELETE FROM temp_compras WHERE temc_index=$StrPro_ID AND cod_temc='$StrHWND_T'");
	}
	//
	if($StrCmd=="ADD"){	
		$_EXISTE=0;
		if($StrPro_ID==0){
			$LStrMsg="No se puede determinar el ID del producto";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";			
		}
		if(strlen($StrGT)==0){
			if($StrPro_CA==0){
				$LStrMsg="La cantidad debe ser mayor a cero";
				$LStrFoc="document.getElementById('TxtCant').focus();";						
				$StrGT="S";							
			}
		}
		if(strlen($StrGT)==0){
			if(gn("count(*)","temp_compras",
				  "temc_id_producto=$StrPro_ID AND cod_temc='$StrHWND_T'")>0){
				$_EXISTE=1;
				/*
				$LStrMsg="El producto que desea agregar ya se encuentra en la lista";
				$LStrFoc="document.getElementById('TxtCod').focus();";						
				$StrGT="S";	
				*/
			}
		}
		if(strlen($StrGT)==0){			
			$StrImporte="0";
			$StrPro_PR="0";
			if($_EXISTE==0){
				$StrIndex=GenId("temc_index","temp_compras");
				$s="INSERT INTO temp_compras VALUES ('$StrHWND_T',
					$StrPro_ID,$StrPro_CA,$StrPro_PR,
					$StrImporte,$StrIndex,'','',0)";
				ejt($s);
			}else{
				ejt("UPDATE temp_compras ".
				    "SET temc_cant=temc_cant+$StrPro_CA ".
					"WHERE temc_id_producto=$StrPro_ID AND cod_temc='$StrHWND_T'");				
				ejt($s);
			}
			$StrCant="";
			$StrPre="";
			$StrDes="";
			$StrMARCA="";
			$StrCod="";
			$StrImp="";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";	
		}
	}
	//
	if(($StrCmd=="G" || $StrCmd=="M") && strlen($StrGT)==0){			
		$StrAlm_=gn("id_almacen","almacenes","alm_nombre='$StrAlm'");
		$StrAlmD_=gn("id_almacen","almacenes","alm_nombre='$StrAlmD'");
		if(gn("count(*)","temp_compras","cod_temc='$StrHWND_T'")==0){
			$LStrMsg="La lista de productos esta vacia";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";
		}
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="M" && strlen($StrGT)==0){
		$LStrMsg="";
		$_VAL=gs("val","transferencias","id_trans=$StrId");
		if($_VAL=="S"){
			$LStrMsg="La presente transferencia ya ha sido validada por lo tanto no se puede modificar";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
		ejt("DELETE FROM transferencias WHERE id_trans=$StrId");
		$s="SELECT id_producto,cant FROM transferencias_det WHERE id_trans=$StrId";
		$result = grs($s);			
		while ($row = $result->fetch_row()){
			$E_ID=$row[0];
			$E_CA=$row[1];
			//STOCK_SUB($StrAlmD_,$E_ID,$E_CA);			
			//STOCK_ADD($StrAlm_,$E_ID,$E_CA);			
		}
		ejt("DELETE FROM transferencias_det WHERE id_trans=$StrId");
		$LStrMsg="Los datos han sido modificados";
		$StrGT="";
		$StrCmd="G";
		}
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G" && strlen($StrGT)==0){
		$StrFec_=ToDate($StrFec);
		$GII=GenGI();
		$StrId=GenId("id_trans","transferencias");
		$StrNum=vbr("0000000".$StrId ,5);
		if($_SESSION['SYS_USER_ID']==0){
			$s="INSERT INTO transferencias VALUES ($StrId,'$StrFec_',$StrAlm_,
			   '$StrNum','$StrAlmD_','N',0,$GII,'S')";
			ejt($s);
		}else{
			$s="INSERT INTO transferencias VALUES ($StrId,'$StrFec_',$StrAlm_,
			'$StrNum','$StrAlmD_','N',0,$GII,'N')";
			ejt($s);

		}
		//
		ejt("DELETE FROM transferencias_det WHERE id_trans=$StrId");
		$s="SELECT * FROM temp_compras WHERE cod_temc='$StrHWND_T' 
			ORDER BY temc_index";
		$result = grs($s);			
		$cx=0;			
		while ($row = $result->fetch_row()){
			$cx++;
			$G_ID=$row[1];
			$G_CA=$row[2];
			$ss="INSERT INTO transferencias_det VALUES ($StrId,$cx,$G_ID,$G_CA)";
			ejt($ss);
			if($_SESSION['SYS_USER_ID']==0){
				STOCK_SUB($StrAlm_,$G_ID,$G_CA);
				STOCK_ADD($StrAlmD_,$G_ID,$G_CA);
			}
		}
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_T'");
		//
		if(strlen($LStrMsg)==0){
			$LStrMsg="Los datos han sido registrado. El numero generado es : $StrNum";
		}
		$LStrFoc="document.getElementById('TxtFec').focus();";						
		$StrGT="S";
		//
		$StrId="";
		$StrFec="";
		$StrNum="";
		$StrCod="";
		$StrDes="";
		$StrMARCA="";
		$StrCant="";
	}
	if($StrCmd=="VAL"){		
		$_VAL=gs("val","transferencias","id_trans=$StrId");
		if($_VAL=="S"){
			$LStrMsg="La presente transferencia ya ha sido validada por lo tanto no se puede volver a validar";
			$LStrFoc="document.getElementById('TxtFec').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			$StrAlm_=gn("id_alm_o","transferencias","id_trans=$StrId");
			$StrAlmD_=gn("id_alm_d","transferencias","id_trans=$StrId");
			$s="SELECT * FROM temp_compras WHERE cod_temc='$StrHWND_T' 
			ORDER BY temc_index";
			$result = grs($s);			
			$cx=0;			
			while ($row = $result->fetch_row()){
				$cx++;
				$G_ID=$row[1];
				$G_CA=$row[2];				
				STOCK_SUB($StrAlm_,$G_ID,$G_CA);
				STOCK_ADD($StrAlmD_,$G_ID,$G_CA);
			}
			$LStrMsg="La presente transferencia ha sido validada correctamente";
			$LStrFoc="document.getElementById('TxtFec').focus();";						
			$StrGT="S";
			ejt("UPDATE transferencias SET val='S' WHERE id_trans=$StrId");
		}
	}
	if($StrCmd=="E"){
		$_VAL=gs("val","transferencias","id_trans=$StrId");
		if($_VAL=="S"){
			$LStrMsg="La presente transferencia ya ha sido validada por lo tanto no se puede eliminar";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
		$StrAlm_=gn("id_alm_o","transferencias","id_trans=$StrId");
		$StrAlmD_=gn("id_alm_d","transferencias","id_trans=$StrId");
		ejt("DELETE FROM transferencias WHERE id_trans=$StrId");
		$s="SELECT id_producto,cant FROM transferencias_det WHERE id_trans=$StrId";
		$result = grs($s);			
		while ($row = $result->fetch_row()){
			$E_ID=$row[0];
			$E_CA=$row[1];
			//STOCK_ADD($StrAlm_,$E_ID,$E_CA);			
			//STOCK_SUB($StrAlmD_,$E_ID,$E_CA);			
		}
		ejt("DELETE FROM transferencias_det WHERE id_trans=$StrId");
		//
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_T'");
		//
		$LStrMsg="Los datos han sido eliminados";
		$LStrFoc="document.getElementById('TxtFec').focus();";						
		$StrGT="S";
		//
		$StrId="";
		$StrFec="";
		$StrNum="";
		$StrCod="";
		$StrDes="";
		$StrMARCA="";
		$StrCant="";
		}
	}	
	
	if($StrCmd=="A"){
		$_VAL=gs("val","transferencias","id_trans=$StrId");
		if($_VAL=="S"){
			$LStrMsg="La presente transferencia ya ha sido validada por lo tanto no se puede anular";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
		$StrAlm_=gn("id_alm_o","transferencias","id_trans=$StrId");
		$StrAlmD_=gn("id_alm_d","transferencias","id_trans=$StrId");
		ejt("UPDATE transferencias SET anu='S' WHERE id_trans=$StrId");
		$s="SELECT id_producto,cant FROM transferencias_det WHERE id_trans=$StrId";
		$result = grs($s);			
		while ($row = $result->fetch_row()){
			$E_ID=$row[0];
			$E_CA=$row[1];
			//STOCK_ADD($StrAlm_,$E_ID,$E_CA);			
			//STOCK_SUB($StrAlmD_,$E_ID,$E_CA);		
		}
		//
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_T'");
		//
		$LStrMsg="La transferencia ha sido anulada";
		$LStrFoc="document.getElementById('TxtFec').focus();";						
		$StrGT="S";
		//
		$StrId="";
		$StrFec="";
		$StrNum="";
		$StrCod="";
		$StrDes="";
		$StrMARCA="";
		$StrCant="";
		}
	}	
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('TxtFec').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}
	
?>